## libre-mahjong-sounds 1.0

=== debian/changelog ===
libre-mahjong-sounds (1.0) unstable; urgency=low

  *  Sounds for libre-mahjong (from several kdegames)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Apr 2013 21:01:08 +0200
