=== debian/control ===
Source: libre-mahjong-sounds
Section: x11
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: libre-mahjong-sounds
Architecture: all
Replaces: osso-sounds-game-mahjong
Conflicts: osso-sounds-game-mahjong
Depends: ${shlibs:Depends}
Description: Libre sounds for libre-mahjong.
