=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


configure: 

config.status: configure
	dh_testdir


build: build-stamp

build-stamp:  config.status
	dh_testdir

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	#install to /opt
	install -d ${CURDIR}/debian/libre-mahjong-sounds/opt/libre-mahjong/sounds

	install ${CURDIR}/wavs/kdegames_kgoldrunner_themes_default_dig.wav ${CURDIR}/debian/libre-mahjong-sounds/opt/libre-mahjong/sounds/game-mahjong_hint_usage.wav
	install ${CURDIR}/wavs/kdegames_knetwalk_src_sounds_start.wav ${CURDIR}/debian/libre-mahjong-sounds/opt/libre-mahjong/sounds/game-mahjong_incorrect_selection.wav
	install ${CURDIR}/wavs/kdegames_kolf_sounds_blackholeputin.wav ${CURDIR}/debian/libre-mahjong-sounds/opt/libre-mahjong/sounds/game-mahjong_undo_usage.wav 
	install ${CURDIR}/wavs/kdegames_granatier_sounds_break.wav ${CURDIR}/debian/libre-mahjong-sounds/opt/libre-mahjong/sounds/game-mahjong_successful_selection.wav
	install ${CURDIR}/wavs/kdegames_kgoldrunner_themes_default_gold.wav ${CURDIR}/debian/libre-mahjong-sounds/opt/libre-mahjong/sounds/game-mahjong_incorrect_combination.wav 
	install ${CURDIR}/wavs/kdegames_kolf_sounds_blackholeeject.wav ${CURDIR}/debian/libre-mahjong-sounds/opt/libre-mahjong/sounds/game-mahjong_correct_combination.wav
	install ${CURDIR}/wavs/kdegames_kolf_sounds_holed.wav ${CURDIR}/debian/libre-mahjong-sounds/opt/libre-mahjong/sounds/game-mahjong_shuffle_usage.wav

	install -d  ${CURDIR}/debian/libre-mahjong-sounds/usr/share/sounds/
	ln -s /opt/libre-mahjong/sounds/game-mahjong_shuffle_usage.wav ${CURDIR}/debian/libre-mahjong-sounds/usr/share/sounds/game-mahjong_shuffle_usage.wav
	ln -s /opt/libre-mahjong/sounds/game-mahjong_incorrect_selection.wav ${CURDIR}/debian/libre-mahjong-sounds/usr/share/sounds/game-mahjong_incorrect_selection.wav
	ln -s /opt/libre-mahjong/sounds/game-mahjong_incorrect_combination.wav ${CURDIR}/debian/libre-mahjong-sounds/usr/share/sounds/game-mahjong_incorrect_combination.wav
	ln -s /opt/libre-mahjong/sounds/game-mahjong_correct_combination.wav ${CURDIR}/debian/libre-mahjong-sounds/usr/share/sounds/game-mahjong_correct_combination.wav
	ln -s /opt/libre-mahjong/sounds/game-mahjong_successful_selection.wav ${CURDIR}/debian/libre-mahjong-sounds/usr/share/sounds/game-mahjong_successful_selection.wav
	ln -s /opt/libre-mahjong/sounds/game-mahjong_undo_usage.wav ${CURDIR}/debian/libre-mahjong-sounds/usr/share/sounds/game-mahjong_undo_usage.wav
	ln -s /opt/libre-mahjong/sounds/game-mahjong_hint_usage.wav ${CURDIR}/debian/libre-mahjong-sounds/usr/share/sounds/game-mahjong_hint_usage.wav

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
